# xarray.DataArray.cumsum

`DataArray.``cumsum`(dim=None, axis=None, skipna=None, keep_attrs=False, **kwargs)

  Apply cumsum along some dimension of DataArray.

  Parameters:

  dim : str or sequence of str, optional

  > > Dimension over which to apply cumsum.

  > axis : int or sequence of int, optional

  >   Axis over which to apply cumsum. Only one of the ‘dim’ and ‘axis’ arguments can be supplied.

  skipna : bool, optional

  > If True, skip missing values (as marked by NaN). By default, only skips missing values for float dtypes; other dtypes either do not have a sentinel missing value (int) or skipna=True has not been implemented (object, datetime64 or timedelta64).

  keep_attrs : bool, optional

  > If True, the attributes (attrs) will be copied from the original object to the new one. If False (default), the new object will be returned without attributes.

  **kwargs : dict

  > Additional keyword arguments passed on to cumsum.

  Returns:

  cumvalue : DataArray

  > New DataArray object with cumsum applied to its data along the indicated dimension.